---
title: DOMPoint.y
slug: Web/API/DOMPoint/y
tags:
  - API
  - Coordinate
  - DOM
  - DOMPoint
  - Geometry
  - Geometry Interfaces
  - Point
  - Property
  - Reference
  - 'y'
---
<div>{{APIRef("DOM")}}</div>

<p><span class="seoSummary">The <code><strong>DOMPoint</strong></code> interface's <code><strong>y</strong></code> property holds the vertical coordinate, <em>y</em>, for a point in space.</span> Unless transforms have been applied to alter the orientation, the value of <code>y</code> increases downward and decreases upward.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>yPos</em> = <em>DOMPoint</em>.y;</pre>

<h3 id="Value">Value</h3>

<p>A double-precision floating-point value indicating the <em>y</em> coordinate's value for the point. This value is <strong>unrestricted</strong>, meaning that it is allowed to be infinite or invalid (that is, its value may be {{jsxref("NaN")}} or {{jsxref("Infinity", "±Infinity")}}).</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Geometry Interfaces', '#dom-dompoint-y', 'y')}}</td>
   <td>{{Spec2('Geometry Interfaces')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DOMPointReadOnly.y")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The other coordinate properties: {{domxref("DOMPoint.x", "x")}}, {{domxref("DOMPoint.z", "z")}}, and the perspective value, {{domxref("DOMPoint.w", "w")}}.</li>
</ul>
